Episode #125 of the Stack Overflow podcast is here. We talk Tilde Club and mechanical keyboards. Listen now

Questions tagged [packages]

A package is a specific piece of software and data in an archive files. It can be installed and uninstalled usually be a distribution-dependent package manager (e.g. apt-get on Raspbian or pacman on Arch Linux). This is for questions related to the use and management of packages.

23 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
3
votes
1answer
192 views

linux-imag-?-dbg and linux-headers package missing

I'd like to make use of systemtap on my 2016-02-09-raspbian/jessie system. For that I need the kernel debug package and the kernel headers. The kernel in use is: root@raspberrypi:/home/pi# uname -r ...
2
votes
0answers
359 views

ImportError: undefined symbol, bad installation of scipy?

On my raspberry pi I created a virtual environment with the virtualenv package. Using pip3 I installed the following python packages for python 3.5: imutils==0.5.2 numpy==1.16.3 opencv-contrib-python=...
2
votes
0answers
55 views

How do I create my own package from a compiled source?

I have spent a few good hours compiling the latest mono for the Rasbperry Pi. I wouldn't want to do this again, if it came to it. I tried cross compiling with qemu but I am still a noob with qemu. ...
2
votes
0answers
59 views

How to package Shell Bash files for apt-get

Packaging a shell bash file and txt files for raspbian install using the apt-get install. Is there a detailed and simple way of doing this. to be able to package file so that they can be installed ...
1
vote
0answers
22 views

How can I build and install openssh server (sshd) with compiler security features

I noticed my raspberry pi's sshd does not seem to have PIE and ASLR enabled. I determined that using the answer here: https://unix.stackexchange.com/a/435038 I'm using Raspbian, is there another OS I ...
1
vote
1answer
18 views

How to install previous/older version of octave in buster?

Currently Octave version 4.4.1 is available. It always crashes while start. I am trying to install an older version of octave but I can not find any older packages in the repo and the sources are ...
1
vote
0answers
15 views

Which Raspbian package contains the cdio C++ bindings?

I can't find them in libcdio-dev, and a search for the most important header file, cdio.hpp, in the Debian package catalog gave no results. A libcdio++ package seems not to exist either. Doesthis ...
1
vote
1answer
160 views

cant install packages because of older chromium build

i'm trying to install a package using the terminal specifically sudo apt-get install sysbench but i get the following error The following packages have unmet dependencies: chromium-browser-l10n : ...
1
vote
0answers
857 views

Few connections failed when downloading packages

I am working with Raspberry Pi 3 running Raspbian Stretch for a project that involves image processing (Open CV and Dlib). I am very inexperienced with Linux systems and having a hard time with ...
1
vote
0answers
710 views

Patch management for Raspberry Pi

Are there any patch managers or tools that could centrally manage multiple Raspberry/Raspbian OS? patch kernel/os/packages/application, selectively or whole. Agents if any will need to be able to run ...
1
vote
0answers
295 views

How to make a custom package available for raspberry pi 2?

Is there is some provision like ppa(launchpad.net) for raspberry pi 2? I want to make my custom projects available for raspberry pi 2. So that other raspberry pi 2 can directly install packages using ...
1
vote
0answers
56 views

apt-get stopped working

I randomly started having trouble using apt-get on a Raspberry Pi 3 running Raspian. I can remove packages just fine, but when I try to install one, I always get the message E: Unable to locate ...
1
vote
0answers
266 views

Raspbian dialog package problems on boot

I made my own UNIX shell script that runs at boot that helps me mount/unmount USB drives. I use the dialog package for my interface. The code works fine when I run it normally but on boot the dialog ...
0
votes
0answers
46 views

Packages are correctly installed using pip3 in my virtual environment but are not being imported, I get ModuleNotFoundError

I am using a raspberry pi 3 with raspbian buster and python 3.7.3. I can install packages fine in my virtual environment using pip3 install. This can be seen when I use the command pip list, all my ...
0
votes
2answers
3k views

import cv2 not working Raspberry Pi

I used pip to install opencv3 with the following command on an Anaconda virtual environment. install opencv-python I successfully installed it because I can see the package in pip list. (olfatf)...
0
votes
1answer
428 views

Raspberry Pi Model 2B Hostapd installation error: Unable to locate package

So, I am trying to set up my raspberry pi model 2B as a wifi hotspot. All the articles recommended installing and using hostapd and dnsmasq. I was able to install the dnsmasq package without any ...
0
votes
0answers
435 views

Unable to update samba-libs (unmet dependencies)

I've seen a number of questions with similar "error updating ____" but none of the fixes for those problems have helped me any. I'm still very new to the Pi, and Linux-based operating systems in ...
0
votes
1answer
2k views

Problems installing Scipy stack for Python3.6 on Pi-2

I am faced with an apparent time consuming problem or something else when I try to install scipy with pip for python3.6 on my RPi2 model B. OS is Raspbian minimal (jessie). I am using a RPi2, and I ...
0
votes
0answers
17 views

How to monitor the available bandwith without impacting an already running stream?

I have a RTP stream called 'X1' running from a Pi to a Linux PC. At the same time I want to create more streams, for example X2, X3 e.t.c... Depending on the available bandwidth, I would like to ...
0
votes
0answers
341 views

Get libstdc++5 on Raspbian

I'm trying to get a semi-old printer driver (lexmark z600) from ubuntu working on my Raspberry Pi. When I extract the .deb file and poke around in control it looks like it's marked Architecture: all, ...
-1
votes
1answer
120 views

installation error mariadb-server

i've previously installed mariadb successfully on my raspberry pi (raspian stretch lite). however i wanted to completely reinstall mariadb and also delete the old databases. i did this with the ...
-1
votes
1answer
2k views

Cannot install Apache2 on my Raspberry pi

I am getting the following error when I install Apache2 on my pi. Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable ...
-1
votes
1answer
2k views

Unable to locate package nmap & sources.list error

Love to have nmap on my #raspberrypi, but: root@qwers:/home/pi# apt-get update Hit:1 http://archive.raspberrypi.org/debian stretch InRelease Hit:2 https://deb.nodesource.com/node_9.x stretch ...